// CDPlayer class

#ifndef _CDPlayer_h
#define _CDPlayer_h

DWORD MciError(HWND hwnd, DWORD d) ;

#define MAX_CDNAME         64

enum CDMode { ModeNotReady, ModePause, ModePlaying, ModeStop, ModeScanning };

class CDPlayer : public CDAudio {
   HWND hwnd;
   PTWindowsObject awnd ;
   int nTracks;
   DWORD *PosTracks;    // Positionen der einzelnen Tracks in Millisekunden
   DWORD *LenTracks;    // Lngen der einzelnen Tracks in Millisekunden
   int Track;           // aktueller Track
   DWORD Sync;          // Systemzeit, bei dem das nchste "Sync" stattfindet
   DWORD StartTime;     // Systemzeit, bei dem die CD gestartet wurde
   CDMode mode;         // current status of drive
   DWORD dwPosition;    // always contains the disc position in ms
   WORD wTimer;         // ID of timer used to update display
   char CDTitle[MAX_CDNAME];  // Titel der CD
   char CDID[10];             // ID-String der CD
   BOOL bCountUp;             // count seconds up or down

protected:
   DWORD Time();
   int Synchronize(DWORD time = 0);
   void DisplayTime(LONG time, WORD wID);
   void UpdateDisplay(DWORD wTime);
   void CheckReady();
   void SetTrack(int wTrack);
   void SetPosition(DWORD dwPos);

public:
   int Timer();
   int Login();          // Betimmt Lnge der Tracks etc.
   int Logout();         // Setzt die Parameter zurck
   int Resync();
   int Forward();
   int Back();
   int Pause();
   int Play();
   int Stop();
   void ToggleUp();
   void EditTitle();
   CDPlayer(HWND aWindow, PTWindowsObject aMainWindow);
   ~CDPlayer();
};

#endif